﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace dotsplit
{
    /// <summary>
    /// Interaction logic for OverwriteFile.xaml
    /// </summary>
    public partial class OverwriteFile : Window
    {
        public static readonly DependencyProperty FileNameProperty =
            DependencyProperty.Register("FileName", typeof(string),
            typeof(OverwriteFile), new UIPropertyMetadata(string.Empty));

        public OverwriteFile()
        {
            InitializeComponent();

            OverwriteAllFiles = false;
        }

        public string FileName
        {
            get { return (string)GetValue(FileNameProperty); }
            set { SetValue(FileNameProperty, value); }
        }

        public bool OverwriteAllFiles { get; set; }

        private void OverwriteAll_Click(object sender, RoutedEventArgs e)
        {
            OverwriteAllFiles = true;
            DialogResult = true;
        }

        private void Overwrite_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = true;
        }

        private void DontOverwrite_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = false;
        }
    }
}
